Issue CSV export options: checkboxes have no effect for columns activated in query

2018-10-22 22:22 - Tobias Stenzel

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Candidate for next major release   

Description

The csv export option modal for issues has checkboxes for the description and last notes which are activated by default if these

columns are activated for the current query. Disabling them manually has no effect: the columns are still exported to CSV because

query_as_hidden_field_tags adds them as hidden fields.

This adds an argument ignored_column_names to query_as_hidden_fields_tags which is used to ignore the description and

last_notes columns for issues.

Patch works for Redmine 3.4 and 4.

Related issues:

Related to Redmine - Patch #33211: Include block columns (ex: Description, La... New

History

#1 - 2018-10-28 05:01 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2018-11-06 01:26 - Mizuki ISHIKAWA

Thank you for sharing the patch.

The csv export option modal for issues has checkboxes for the description and last notes which are activated by default if these columns are

activated for the current query. Disabling them manually has no effect: the columns are still exported to CSV because

query_as_hidden_field_tags adds them as hidden fields.

 I felt something wrong with this behavior.

I investigated a little to see if we can solve this problem by changing the view, but it seemed difficult.

I think the method proposed in 0001-fix-Issue-CSV-export-options-checkboxes-have-no-effe.patch  is valid.

#3 - 2018-12-01 08:40 - Go MAEDA

- Target version changed from Candidate for next minor release to 4.1.0

#4 - 2019-07-29 06:23 - Ohta Keisuke

LGTM.

But is it ok to not update tests?

#5 - 2019-09-28 00:33 - Go MAEDA

- Target version changed from 4.1.0 to 4.2.0

#6 - 2020-04-05 12:20 - Marius BĂLTEANU

If #33211 is implemented, this change will no longer be required.

#7 - 2020-04-05 12:20 - Marius BĂLTEANU

- Related to Patch #33211: Include block columns (ex: Description, Last notes) in CSV export when option "All columns" is selected  added

#8 - 2021-03-17 22:40 - Marius BĂLTEANU

- Target version changed from 4.2.0 to 5.0.0
https://www.redmine.org/attachments/21706
https://www.redmine.org/issues/33211


#9 - 2022-03-19 12:59 - Marius BĂLTEANU

- Target version changed from 5.0.0 to Candidate for next major release

#10 - 2022-10-12 17:55 - Alexander Meindl

- File 0002-fix-updated.patch added

I updated the patch, which supports Redmine 5.x. Now dynamic block_column names are detected (not manually specified as in first version of

patch).

It would be nice, if this patch would be applied soon.

Files

0001-fix-Issue-CSV-export-options-checkboxes-have-no-effe.patch 2.16 KB 2018-10-22 Tobias Stenzel

0002-fix-updated.patch 1.6 KB 2022-10-12 Alexander Meindl
